## libreoffice-voikko 3.2~rc2

=== Makefile ===
# Libreoffice-voikko: Finnish linguistic extension for LibreOffice
# Copyright (C) 2005-2011 Harri Pitkänen <hatapitk@iki.fi>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
##########################################################################


# Check that build environment is properly set up
ifndef OO_SDK_HOME
$(error You must run setsdkenv before running make)
endif
PRJ=$(OO_SDK_HOME)
# Load SDK settings
include $(PRJ)/settings/settings.mk
include $(PRJ)/settings/std.mk

# ===== Build settings =====

# Version number of the libreoffice-voikko extension
VOIKKO_VERSION=3.2

# VOIKKO_DEBUG controls the amount of debugging information in the resulting UNO
# package. Possible values are NO (creates an optimized build without any
# debugging information), LOG (creates an optimized build with runtime debug
# logging) and FULL (creates a build with full debugging symbols and logging).
VOIKKO_DEBUG=NO

# If you have installed libvoikko to some non-standard location, uncomment the
# following and adjust the path accordingly. For OS X this must be set if
# a standalone extension is to be built.
# LIBVOIKKO_PATH=/usr/local/voikko
# LIBVOIKKO_PATH=c:/voikko
# LIBVOIKKO_PATH=/Users/paakayttaja/voikko

# If you want to have all of the library and dictionary files included within
# the extension package, uncomment the following and adjust the path to point
# to a directory containing the required files.
# STANDALONE_EXTENSION_PATH=extras
# STANDALONE_EXTENSION_PATH=/Users/paakayttaja/voikko/lib/voikko

# If you want to have a license text to be displayed upon the installation
# of this extension, uncomment the following.
# SHOW_LICENSE=1

# If you want to enable the grammar checker, set this option to 1
ENABLE_GRAMMAR_CHECKER=1

# Setting this option to 1 causes ugly warnings to be added to visible places
# in the extension without removing any functionality (codename "tekstintuho").
# Useful for binary builds that are released for public testing.
# SHOW_UGLY_WARNINGS=1

# Destination directory when installing unpacked extension with
# make install-unpacked
DESTDIR=/usr/lib/libreoffice-voikko

# === End build settings ===

# Fix for Intel OS X, see issues 69944 and 86121.
ifeq "$(PLATFORM)" "macosx"
	PROCTYPE=$(shell $(PRJ)/config.guess | cut -d "-" -f1)
	ifeq "$(PROCTYPE)" "i686"
		UNOPKG_PLATFORM=MacOSX_x86
	endif
endif

# Platform specific variables
ifeq "$(PLATFORM)" "windows"
	WARNING_FLAGS=-Wall -WX -wd4061 -wd4365 -wd4514 -wd4625 -wd4626 -wd4668 -wd4711 -wd4820
	# The following warnings should be fixed in the future
	WARNING_FLAGS+= -wd4640
	COPYDIR=xcopy /E /I
	PS="\"
else
	WARNING_FLAGS=-Wall -Wno-non-virtual-dtor
	COPYDIR=cp -r
endif
ifeq "$(PLATFORM)" "linux"
	LINKER_FLAGS=-Wl,--no-undefined
endif


# General variables
ifeq "$(VOIKKO_DEBUG)" "FULL"
	ifeq "$(PLATFORM)" "windows"
		OPT_FLAGS=-Od -Z7
	else
		OPT_FLAGS=-O0 -g
	endif
else
	OPT_FLAGS=-O2
	ifneq "$(PLATFORM)" "windows"
		WARNING_FLAGS+= -fno-strict-aliasing
	endif
endif

# separated generic link flags and linked libs are needed to build with -Wl,--as-needed
# this flag has been enabled by default on openSUSE-11.2
LINK_FLAGS=$(COMP_LINK_FLAGS) $(OPT_FLAGS) $(LINKER_FLAGS)

# This will do nothing on platforms that do not use STLPort but is needed on those that do.
LINK_LIBS += $(STLPORTLIB)

ifneq "$(PLATFORM)" "macosx"
	LINK_LIBS+=$(SALLIB) $(CPPULIB) $(CPPUHELPERLIB)
endif
VOIKKO_CC_FLAGS=$(OPT_FLAGS) $(WARNING_FLAGS) -Ibuild/hpp -I$(PRJ)/include/stl -I$(PRJ)/include

ifdef STANDALONE_EXTENSION_PATH
	VOIKKO_CC_DEFINES= -DVOIKKO_STANDALONE_EXTENSION
	ifeq "$(PLATFORM)" "windows"
		STANDALONE_EXTENSION_FILES=libvoikko-1.dll 2
	else
		ifeq "$(PLATFORM)" "macosx"
			STANDALONE_EXTENSION_FILES=2
		else
			STANDALONE_EXTENSION_FILES=libvoikko.so.1 2
			LINK_LIBS += -lvoikko
		endif
	endif
else
	VOIKKO_CC_DEFINES=
	STANDALONE_EXTENSION_FILES=
	LINK_LIBS += -lvoikko
endif

ifndef ENABLE_GRAMMAR_CHECKER
	VOIKKO_CC_DEFINES += -DDISABLE_GRAMMAR_CHECKER
endif

# Build extension package name
ifdef SHOW_UGLY_WARNINGS
        VOIKKO_PACKAGENAME:=tekstintuho
        VOIKKO_CC_DEFINES += -DTEKSTINTUHO
else
        VOIKKO_PACKAGENAME:=voikko
endif
ifneq "$(VOIKKO_DEBUG)" "NO"
        VOIKKO_CC_DEFINES+= -DVOIKKO_DEBUG_OUTPUT
endif

ifdef LIBVOIKKO_PATH
	LINK_FLAGS+= -L$(LIBVOIKKO_PATH)/lib
	VOIKKO_CC_FLAGS+= -I$(LIBVOIKKO_PATH)/include
endif

VOIKKO_EXTENSION_SHAREDLIB=voikko.$(SHAREDLIB_EXT)
VOIKKO_OBJECTS=registry common PropertyManager VoikkoHandlePool \
               spellchecker/SpellAlternatives spellchecker/SpellChecker \
               hyphenator/Hyphenator hyphenator/HyphenatedWord hyphenator/PossibleHyphens \
               grammar/GrammarChecker settings/SettingsEventHandler
VOIKKO_HEADERS=macros common PropertyManager VoikkoHandlePool \
               spellchecker/SpellAlternatives spellchecker/SpellChecker \
               hyphenator/Hyphenator hyphenator/HyphenatedWord hyphenator/PossibleHyphens \
               grammar/GrammarChecker settings/SettingsEventHandler
COPY_TEMPLATES=config.xcu config.xcs icon.png SettingsDialog.xdl SettingsDialog_en_US.properties \
               SettingsDialog_fi_FI.properties SettingsDialog_en_US.default SettingsDialog.xcu Linguistic.xcu
ifdef SHOW_LICENSE
	COPY_TEMPLATES+=license_fi.txt license_en-US.txt
endif
SRCDIST=COPYING Makefile README ChangeLog $(patsubst %,src/%.hxx,$(VOIKKO_HEADERS)) \
        $(patsubst %,src/%.cxx,$(VOIKKO_OBJECTS)) oxt/description.xml.template \
        $(patsubst %,oxt/%,$(COPY_TEMPLATES)) \
        oxt/META-INF/manifest.xml.template oxt/icon.svg
SED=sed

EXTENSION_FILES=build/oxt/META-INF/manifest.xml build/oxt/description.xml \
	      build/oxt/$(VOIKKO_EXTENSION_SHAREDLIB) \
	      $(patsubst %,build/oxt/%,$(STANDALONE_EXTENSION_FILES)) \
	      $(patsubst %,build/oxt/%,$(COPY_TEMPLATES))

# Targets
.PHONY: extension-files oxt install-unpacked all clean dist-gzip

extension-files : $(EXTENSION_FILES)

oxt: $(EXTENSION_FILES)
	cd build/oxt && $(SDK_ZIP) -r -9 ../$(VOIKKO_PACKAGENAME).oxt \
	   $(patsubst build/oxt/%,%,$^)

all: oxt

install-unpacked: extension-files
	install -m 755 -d "$(DESTDIR)" "$(DESTDIR)/META-INF"
	install -m 644 build/oxt/META-INF/manifest.xml "$(DESTDIR)/META-INF"
	install -m 644 build/oxt/$(VOIKKO_EXTENSION_SHAREDLIB) \
	               build/oxt/description.xml \
	               $(patsubst %,build/oxt/%,$(STANDALONE_EXTENSION_FILES)) \
	               $(patsubst %,build/oxt/%,$(COPY_TEMPLATES)) $(DESTDIR)

# Sed scripts for modifying templates
MANIFEST_SEDSCRIPT:=s/VOIKKO_EXTENSION_SHAREDLIB/$(VOIKKO_EXTENSION_SHAREDLIB)/g;s/UNOPKG_PLATFORM/$(UNOPKG_PLATFORM)/g
DESCRIPTION_SEDSCRIPT:=s/VOIKKO_VERSION/$(VOIKKO_VERSION)/g
ifdef ENABLE_GRAMMAR_CHECKER
	MANIFEST_SEDSCRIPT:=$(MANIFEST_SEDSCRIPT);/GRAMMAR_CHECKER_DISABLED/d
endif
ifdef SHOW_LICENSE
	DESCRIPTION_SEDSCRIPT:=$(DESCRIPTION_SEDSCRIPT);/SHOW_LICENSE/d
endif
ifdef SHOW_UGLY_WARNINGS
	DESCRIPTION_SEDSCRIPT:=$(DESCRIPTION_SEDSCRIPT);s/Voikko/TEKSTINTUHO/g
endif
MANIFEST_SEDSCRIPT:="$(MANIFEST_SEDSCRIPT)"
DESCRIPTION_SEDSCRIPT:="$(DESCRIPTION_SEDSCRIPT)"

# Create extension files
build/oxt/META-INF/manifest.xml: oxt/META-INF/manifest.xml.template
	-$(MKDIR) $(subst /,$(PS),$(@D))
	$(SED) -e $(MANIFEST_SEDSCRIPT) < $^ > $@

build/oxt/description.xml: oxt/description.xml.template
	-$(MKDIR) $(subst /,$(PS),$(@D))
	$(SED) -e $(DESCRIPTION_SEDSCRIPT) < $^ > $@

$(patsubst %,build/oxt/%,$(COPY_TEMPLATES)): build/oxt/%: oxt/%
	-$(MKDIR) $(subst /,$(PS),$(@D))
	$(COPY) "$(subst /,$(PS),$^)" "$(subst /,$(PS),$@)"

$(patsubst %,build/oxt/%,$(STANDALONE_EXTENSION_FILES)): build/oxt/%: $(STANDALONE_EXTENSION_PATH)/%
	-$(MKDIR) $(subst /,$(PS),$(@D))
	$(COPYDIR) "$(subst /,$(PS),$^)" "$(subst /,$(PS),$@)"

# Type library C++ headers
build/hpp.flag:
	-$(MKDIR) build$(PS)hpp
	$(CPPUMAKER) -Gc -BUCR -O./build/hpp $(URE_TYPES) $(OFFICE_TYPES)
	echo flagged > $@


# Compile the C++ source files
build/src/%.$(OBJ_EXT): src/%.cxx build/hpp.flag $(patsubst %,src/%.hxx,$(VOIKKO_HEADERS))
	-$(MKDIR) $(subst /,$(PS),$(@D))
	$(CC) $(CC_FLAGS) $(VOIKKO_CC_FLAGS) $(CC_DEFINES) $(VOIKKO_CC_DEFINES) $(CC_OUTPUT_SWITCH)$@ $<


# Link the shared library
build/oxt/$(VOIKKO_EXTENSION_SHAREDLIB): $(patsubst %,build/src/%.$(OBJ_EXT),$(VOIKKO_OBJECTS))
ifeq "$(PLATFORM)" "windows"
	$(LINK) $(COMP_LINK_FLAGS) /OUT:$@ \
	/MAP:build/voikko.map $^ \
	 $(CPPUHELPERLIB) $(CPPULIB) $(SALLIB) $(STLPORTLIB) msvcrt.lib kernel32.lib $(LIBVOIKKO_PATH)\lib\libvoikko-1.lib
	mt -manifest build/oxt/voikko.dll.manifest -outputresource:build/oxt/voikko.dll;2
else
ifeq "$(PLATFORM)" "macosx"
		cat $(PRJ)/settings/component.uno.map > build/voikko.map
		nm -gx $^ | $(ADDSYMBOLS) >> build/voikko.map
		$(LINK) $(COMP_LINK_FLAGS) build/voikko.map $(LINK_LIBS) -o $@ $^ \
		$(CPPUHELPERLIB) $(CPPULIB) $(SALLIB) $(CPPUHELPERDYLIB) $(CPPUDYLIB) $(SALDYLIB) \
		$(LIBVOIKKO_PATH)/lib/libvoikko.a -framework CoreFoundation -framework Carbon
		$(INSTALL_NAME_URELIBS)  $@
else
		$(LINK) $(LINK_FLAGS) $^ -o $@ $(LINK_LIBS)
endif
endif



# Rules for creating the source distribution
dist-gzip: libreoffice-voikko-$(VOIKKO_VERSION).tar.gz

libreoffice-voikko-$(VOIKKO_VERSION).tar.gz: $(patsubst %,libreoffice-voikko-$(VOIKKO_VERSION)/%, \
	                                      $(sort $(SRCDIST)))
	tar c --group 0 --owner 0 libreoffice-voikko-$(VOIKKO_VERSION) | gzip -9 > $@

$(patsubst %,libreoffice-voikko-$(VOIKKO_VERSION)/%, $(sort $(SRCDIST))): \
	libreoffice-voikko-$(VOIKKO_VERSION)/%: %
	install --mode=644 -D $^ $@


# The clean target
clean:
	rm -rf build libreoffice-voikko-$(VOIKKO_VERSION)
	rm -f libreoffice-voikko-$(VOIKKO_VERSION).tar.gz

=== debian/changelog ===
libreoffice-voikko (3.2~rc2-1) unstable; urgency=low

  * New upstream release candidate.

 -- Timo Jyrinki <timo@debian.org>  Thu, 17 Feb 2011 16:46:56 +0200

libreoffice-voikko (3.2~rc1-1) unstable; urgency=low

  * New upstream release candidate.

 -- Timo Jyrinki <timo@debian.org>  Mon, 14 Feb 2011 19:22:29 +0200

libreoffice-voikko (3.1.2+svn20110205-1) unstable; urgency=low

  * Fix off-by-one in version number and ITP bug number
  * Upload to unstable, since libreoffice was also uploaded

 -- Timo Jyrinki <timo@debian.org>  Tue, 08 Feb 2011 08:28:13 +0200

libreoffice-voikko (3.1.2+svn20100205-1) experimental; urgency=low

  * New upstream snapshot (Closes: #612078)
  * Switch from openoffice.org-voikko to libreoffice-voikko
  * Change installation to LO 3.3 style
  * Update Standards-Version to 3.9.1
  * Increast debhelper dependency to 7

 -- Timo Jyrinki <timo@debian.org>  Sun, 06 Feb 2011 15:00:46 +0200

openoffice.org-voikko (3.1.1-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version to 3.8.4
  * Change to 3.0 (quilt) source format

 -- Timo Jyrinki <timo@debian.org>  Wed, 26 May 2010 21:54:25 +0300

openoffice.org-voikko (3.1-2) unstable; urgency=low

  * Don't provide ooo-thesaurus-fi, wrong and not used (Closes: #529490)

 -- Timo Jyrinki <timo@debian.org>  Tue, 09 Jun 2009 22:10:57 +0300

openoffice.org-voikko (3.1-1) unstable; urgency=low

  * New upstream release (Closes: #528283)
  - Grammar checking enabled by default
  * Depend on libvoikko 2.1 (grammar features)
  * Update description to describe grammar checking as well (Closes: #512517)
  * Update Standards-Version (no changes)
  * One more place to change GPL 2 -> 3 in copyright file 
  * Debhelper compat 4 -> 5 and likewise for the related dependency
  * Add back Pre-Depends
  - Ubuntu folks found it is still needed, LP: #364654
  - Only pre-depend on ooo-common this time

 -- Timo Jyrinki <timo@debian.org>  Wed, 13 May 2009 13:25:15 +0300

openoffice.org-voikko (3.0.1-2) unstable; urgency=low

  * Upload to unstable
  * Update copyright (GPL3 like it should be)
  * Disable grammar checking which is not yet mature (wait for 3.1)
  * Remove Pre-Depends which is not anymore needed and is best avoided

 -- Timo Jyrinki <timo@debian.org>  Fri, 20 Feb 2009 10:00:24 +0200

openoffice.org-voikko (3.0.1-1) experimental; urgency=low

  * New upstream release
  * Update maintainer address
  * Update dependencies to openoffice.org 3.0.1 and libvoikko 2.0
  * Sync with upstream debian packaging:
  - Drop HypMinWordLength.patch 
  - Update description

 -- Timo Jyrinki <timo@debian.org>  Tue, 13 Jan 2009 15:42:09 +0200

openoffice.org-voikko (2.2-4) unstable; urgency=low

  * Add voikko-fi to Depends since not dep from libvoikko anymore
  - Could be Recommends, but ooo-voikko does not cope well without
  * Update Standards-Version to 3.8.0, no changes

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Fri, 18 Jul 2008 15:59:39 +0300

openoffice.org-voikko (2.2-3) unstable; urgency=low

  * Add Pre-Depends for etch -> lenny upgrades (Closes: #476573)
  * Modify preinst to remove also multiple previous voikko extensions
  * Fix lintian warning about debian/copyright phrasing

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Mon, 21 Apr 2008 00:26:02 +0300

openoffice.org-voikko (2.2-2) unstable; urgency=low

  * Synchronize with upstream packaging:
    - Update README.Debian instructions
    - Update premrm, postinst, control, and add preinst for OOo 2.4 era
    - Install .oxt to new directory (Closes: #474383)

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Tue, 15 Apr 2008 16:58:04 +0300

openoffice.org-voikko (2.2-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version to 3.7.3 (no changes)
  * Add Homepage field to control file
  * Add hyphenation patch from upstream, and information about its usage

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Mon, 18 Feb 2008 10:20:08 +0200

openoffice.org-voikko (2.1-1) unstable; urgency=low

  * New upstream release
  * Update dependencies

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Sun, 18 Nov 2007 00:55:16 +0200

openoffice.org-voikko (2.0.1-2) unstable; urgency=low

  * Fix prerm/postinst to handle OOo 2.3 changes

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Tue, 14 Aug 2007 15:26:05 +0300

openoffice.org-voikko (2.0.1-1) unstable; urgency=low

  * New upstream release
  * Sync with upstream Debian packaging, ie:
  * Remove openoffice.org-soikko conflict, not in Debian anymore
  * Fix copyright file (missing line)
  * Install the new Changelog

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Wed, 16 May 2007 00:05:27 +0300

openoffice.org-voikko (2.0-1) unstable; urgency=low

  * New upstream release
  * Update copyright to reflect that the whole package is now under GPL
  * Update dependencies, update maintainer scripts

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Sat, 05 May 2007 04:24:28 +0300

openoffice.org-voikko (1.2-1) unstable; urgency=low

  * New upstream version
  * Remove workaround hack for the bug #387224 (not needed anymore)
  * Add quotes in prerm and postinst in two places
  * Change conflicts generation a bit
  * Text changes because of component rename
  * Fix wrong filename on Linux/SPARC (Closes: #403627)
  * Update home page, watch file

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Sat, 31 Mar 2007 18:18:03 +0300

openoffice.org-voikko (1.1-4) unstable; urgency=low

  * Change Linux_x86 to Linux_* in generate_dependencies.sh
  * Remove stlport from Makefile (not needed anymore)
  * Change dependencies as requested
  * Add OOo components to Recommends

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Sat,  7 Oct 2006 11:41:48 +0300

openoffice.org-voikko (1.1-3) unstable; urgency=low

  * Fix bashism (use of "source") in debian/rules

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Sat, 30 Sep 2006 15:16:23 +0300

openoffice.org-voikko (1.1-2) unstable; urgency=low

  * Add conflict with openoffice.org-soikko
  * Update debian/copyright again



=== debian/control ===
Source: libreoffice-voikko
Section: text
Priority: optional
Maintainer: Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 7.0.0), libreoffice-dev, libvoikko-dev (>= 2.1), zip, unzip
Standards-Version: 3.9.1
Homepage: http://voikko.sourceforge.net/

Package: libreoffice-voikko
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, voikko-fi, libreoffice-core
Recommends: libreoffice | libreoffice-writer | libreoffice-calc | libreoffice-impress | libreoffice-draw
Enhances: libreoffice
Provides: libreoffice-spellcheck-fi, libreoffice-hyphenation-fi
Description: Finnish language tools for LibreOffice
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This package contains a Finnish spell-checking, grammar checking and
 hyphenation component for LibreOffice. The actual functionality is
 provided by the Voikko library.
 .
 NOTE: Usually spell-checking, grammar checking and hyphenation should be
 automatically activated after installing this package. If this is not the
 case, go to "Writing Aids" settings in LibreOffice and activate Voikko
 components manually.

=== debian/rules ===
#!/usr/bin/make -f

CC_FLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CC_FLAGS += -O0
else
	CC_FLAGS += -O2
endif

build: build-stamp
build-stamp: 
	dh_testdir
	sh -c ". /usr/lib/libreoffice/basis-link/sdk/setsdkenv_unix.sh && $(MAKE) oxt"
	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-rm -rf build
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	mkdir -p debian/tmp/usr/lib/libreoffice/share/extensions/voikko
	unzip -d debian/tmp/usr/lib/libreoffice/share/extensions/voikko/ build/voikko.oxt

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libreoffice-voikko 3.2

=== debian/changelog ===
libreoffice-voikko (3.2-3) unstable; urgency=low

  * Fix debian-rules-missing-recommended-target
  * Fix debug build, thanks for patch to Timo Lindfors (Closes: #652297)
  * Update Standards-Version to 3.9.2

 -- Timo Jyrinki <timo@debian.org>  Sat, 17 Dec 2011 11:34:07 +0200

libreoffice-voikko (3.2-2) unstable; urgency=low

  * Remove the transitional package, already provided by OOo

 -- Timo Jyrinki <timo@debian.org>  Wed, 06 Apr 2011 13:10:51 +0300

libreoffice-voikko (3.2-1) unstable; urgency=low

  * Upstream 3.2rc2 released as 3.2 without changes
  * Add transitional package openoffice.org-voikko (Closes: #613084)

 -- Timo Jyrinki <timo@debian.org>  Tue, 05 Apr 2011 17:37:35 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 7.0.0), libreoffice-dev, libvoikko-dev (>= 2.1), zip, unzip
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://voikko.sourceforge.net/
 
 Package: libreoffice-voikko
@@ -24,3 +24,4 @@
  automatically activated after installing this package. If this is not the
  case, go to "Writing Aids" settings in LibreOffice and activate Voikko
  components manually.
+

=== debian/rules ===
--- 
+++ 
@@ -3,15 +3,17 @@
 CC_FLAGS = -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CC_FLAGS += -O0
+	VOIKKO_DEBUG = FULL
 else
-	CC_FLAGS += -O2
+	VOIKKO_DEBUG = NO
 endif
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: 
 	dh_testdir
-	sh -c ". /usr/lib/libreoffice/basis-link/sdk/setsdkenv_unix.sh && $(MAKE) oxt"
+	sh -c ". /usr/lib/libreoffice/basis-link/sdk/setsdkenv_unix.sh && $(MAKE) VOIKKO_DEBUG=$(VOIKKO_DEBUG) oxt"
 	touch build-stamp
 
 clean:

## libreoffice-voikko 3.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Libreoffice-voikko: Finnish linguistic extension for LibreOffice
-# Copyright (C) 2005-2011 Harri Pitkänen <hatapitk@iki.fi>
+# Copyright (C) 2005-2012 Harri Pitkänen <hatapitk@iki.fi>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -28,7 +28,7 @@
 # ===== Build settings =====
 
 # Version number of the libreoffice-voikko extension
-VOIKKO_VERSION=3.2
+VOIKKO_VERSION=3.3
 
 # VOIKKO_DEBUG controls the amount of debugging information in the resulting UNO
 # package. Possible values are NO (creates an optimized build without any
@@ -73,11 +73,14 @@
 	ifeq "$(PROCTYPE)" "i686"
 		UNOPKG_PLATFORM=MacOSX_x86
 	endif
+	ifeq "$(PROCTYPE)" "i386"
+		UNOPKG_PLATFORM=MacOSX_x86
+	endif
 endif
 
 # Platform specific variables
 ifeq "$(PLATFORM)" "windows"
-	WARNING_FLAGS=-Wall -WX -wd4061 -wd4365 -wd4514 -wd4625 -wd4626 -wd4668 -wd4711 -wd4820
+	WARNING_FLAGS=-Wall -WX -wd4061 -wd4365 -wd4514 -wd4619 -wd4625 -wd4626 -wd4668 -wd4710 -wd4711 -wd4820
 	# The following warnings should be fixed in the future
 	WARNING_FLAGS+= -wd4640
 	COPYDIR=xcopy /E /I
@@ -257,7 +260,7 @@
 		nm -gx $^ | $(ADDSYMBOLS) >> build/voikko.map
 		$(LINK) $(COMP_LINK_FLAGS) build/voikko.map $(LINK_LIBS) -o $@ $^ \
 		$(CPPUHELPERLIB) $(CPPULIB) $(SALLIB) $(CPPUHELPERDYLIB) $(CPPUDYLIB) $(SALDYLIB) \
-		$(LIBVOIKKO_PATH)/lib/libvoikko.a -framework CoreFoundation -framework Carbon
+		-lvoikko
 		$(INSTALL_NAME_URELIBS)  $@
 else
 		$(LINK) $(LINK_FLAGS) $^ -o $@ $(LINK_LIBS)

=== debian/changelog ===
libreoffice-voikko (3.3-3) unstable; urgency=low

  * Upload to unstable
  * Update Standards-Version

 -- Timo Jyrinki <timo@debian.org>  Wed, 04 Apr 2012 11:32:35 +0300

libreoffice-voikko (3.3-2) experimental; urgency=low

  [ Rene Engelhard ]
  * stop using basis-link. it's gone (Closes: #661181)

 -- Timo Jyrinki <timo@debian.org>  Sat, 25 Feb 2012 11:21:28 +0200

libreoffice-voikko (3.3-1) unstable; urgency=low

  * New upstream release

 -- Timo Jyrinki <timo@debian.org>  Tue, 07 Feb 2012 20:54:27 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 7.0.0), libreoffice-dev, libvoikko-dev (>= 2.1), zip, unzip
-Standards-Version: 3.9.2
+Build-Conflicts: libreoffice-common (<< 1:3.5.0~)
+Standards-Version: 3.9.3
 Homepage: http://voikko.sourceforge.net/
 
 Package: libreoffice-voikko

=== debian/watch ===
version=3

http://sf.net/voikko/libreoffice-voikko-(.*)\.tar\.gz

## libreoffice-voikko 3.4.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Libreoffice-voikko: Finnish linguistic extension for LibreOffice
-# Copyright (C) 2005-2012 Harri Pitkänen <hatapitk@iki.fi>
+# Copyright (C) 2005-2013 Harri Pitkänen <hatapitk@iki.fi>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -28,7 +28,7 @@
 # ===== Build settings =====
 
 # Version number of the libreoffice-voikko extension
-VOIKKO_VERSION=3.3
+VOIKKO_VERSION=3.4.1
 
 # VOIKKO_DEBUG controls the amount of debugging information in the resulting UNO
 # package. Possible values are NO (creates an optimized build without any
@@ -80,7 +80,7 @@
 
 # Platform specific variables
 ifeq "$(PLATFORM)" "windows"
-	WARNING_FLAGS=-Wall -WX -wd4061 -wd4365 -wd4514 -wd4619 -wd4625 -wd4626 -wd4668 -wd4710 -wd4711 -wd4820
+	WARNING_FLAGS=-Wall -WX -wd4061 -wd4127 -wd4265 -wd4365 -wd4514 -wd4619 -wd4625 -wd4626 -wd4668 -wd4710 -wd4711 -wd4820
 	# The following warnings should be fixed in the future
 	WARNING_FLAGS+= -wd4640
 	COPYDIR=xcopy /E /I
@@ -112,23 +112,22 @@
 # this flag has been enabled by default on openSUSE-11.2
 LINK_FLAGS=$(COMP_LINK_FLAGS) $(OPT_FLAGS) $(LINKER_FLAGS)
 
-# This will do nothing on platforms that do not use STLPort but is needed on those that do.
-LINK_LIBS += $(STLPORTLIB)
-
 ifneq "$(PLATFORM)" "macosx"
 	LINK_LIBS+=$(SALLIB) $(CPPULIB) $(CPPUHELPERLIB)
 endif
 VOIKKO_CC_FLAGS=$(OPT_FLAGS) $(WARNING_FLAGS) -Ibuild/hpp -I$(PRJ)/include/stl -I$(PRJ)/include
 
+# STANDALONE_EXTENSION_FILES must contain the libvoikko library (unless it will be
+# linked statically) and versioned directories for dictionary data to be embedded.
 ifdef STANDALONE_EXTENSION_PATH
 	VOIKKO_CC_DEFINES= -DVOIKKO_STANDALONE_EXTENSION
 	ifeq "$(PLATFORM)" "windows"
-		STANDALONE_EXTENSION_FILES=libvoikko-1.dll 2
+		STANDALONE_EXTENSION_FILES=libvoikko-1.dll 2 3
 	else
 		ifeq "$(PLATFORM)" "macosx"
-			STANDALONE_EXTENSION_FILES=2
+			STANDALONE_EXTENSION_FILES=2 3
 		else
-			STANDALONE_EXTENSION_FILES=libvoikko.so.1 2
+			STANDALONE_EXTENSION_FILES=libvoikko.so.1 2 3
 			LINK_LIBS += -lvoikko
 		endif
 	endif
@@ -252,7 +251,7 @@
 ifeq "$(PLATFORM)" "windows"
 	$(LINK) $(COMP_LINK_FLAGS) /OUT:$@ \
 	/MAP:build/voikko.map $^ \
-	 $(CPPUHELPERLIB) $(CPPULIB) $(SALLIB) $(STLPORTLIB) msvcrt.lib kernel32.lib $(LIBVOIKKO_PATH)\lib\libvoikko-1.lib
+	 $(CPPUHELPERLIB) $(CPPULIB) $(SALLIB) msvcrt.lib kernel32.lib $(LIBVOIKKO_PATH)\lib\libvoikko-1.lib
 	mt -manifest build/oxt/voikko.dll.manifest -outputresource:build/oxt/voikko.dll;2
 else
 ifeq "$(PLATFORM)" "macosx"

=== debian/changelog ===
libreoffice-voikko (3.4.1-2) unstable; urgency=low

  [ Rene Engelhard ]
  * fix build with LibreOffice 4.1.0

 -- Timo Jyrinki <timo@debian.org>  Sun, 28 Jul 2013 20:21:05 +0300

libreoffice-voikko (3.4.1-1) unstable; urgency=low

  * New upstream release
  * debian/rules: add clean/test targets, adjust install

 -- Timo Jyrinki <timo@debian.org>  Tue, 23 Jul 2013 18:22:50 +0300

libreoffice-voikko (3.4-1) unstable; urgency=low

  * New upstream release
  * Change to debhelper 9, simplify packaging
  * Update Standards-Version
  * Enable hardening-wrapper
  * Add lintian-override for the image file

 -- Timo Jyrinki <timo@debian.org>  Tue, 21 May 2013 19:08:10 +0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: text
 Priority: optional
 Maintainer: Timo Jyrinki <timo@debian.org>
-Build-Depends: debhelper (>= 7.0.0), libreoffice-dev, libvoikko-dev (>= 2.1), zip, unzip
+Build-Depends: debhelper (>= 9.0.0), libreoffice-dev (>= 1:4.1.0~), libvoikko-dev (>= 2.1), zip, unzip, hardening-wrapper
 Build-Conflicts: libreoffice-common (<< 1:3.5.0~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://voikko.sourceforge.net/
 
 Package: libreoffice-voikko

## libreoffice-voikko 4.0

=== Makefile ===
--- 
+++ 
@@ -1,19 +1,14 @@
-# Libreoffice-voikko: Finnish linguistic extension for LibreOffice
-# Copyright (C) 2005-2013 Harri Pitkänen <hatapitk@iki.fi>
+# Libreoffice-voikko: Linguistic extension for LibreOffice
+# Copyright (C) 2005 - 2013 Harri Pitkänen <hatapitk@iki.fi>
 #
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
-##########################################################################
+# This Source Code Form is subject to the terms of the Mozilla Public License,
+# v. 2.0. If a copy of the MPL was not distributed with this file, You can
+# obtain one at http://mozilla.org/MPL/2.0/.
+# 
+# Alternatively, the contents of this file may be used under the terms of
+# the GNU General Public License Version 3 or later (the "GPL"), in which
+# case the provisions of the GPL are applicable instead of those above.
+###############################################################################
 
 
 # Check that build environment is properly set up
@@ -28,7 +23,7 @@
 # ===== Build settings =====
 
 # Version number of the libreoffice-voikko extension
-VOIKKO_VERSION=3.4.1
+VOIKKO_VERSION=4.0
 
 # VOIKKO_DEBUG controls the amount of debugging information in the resulting UNO
 # package. Possible values are NO (creates an optimized build without any
@@ -66,17 +61,6 @@
 DESTDIR=/usr/lib/libreoffice-voikko
 
 # === End build settings ===
-
-# Fix for Intel OS X, see issues 69944 and 86121.
-ifeq "$(PLATFORM)" "macosx"
-	PROCTYPE=$(shell $(PRJ)/config.guess | cut -d "-" -f1)
-	ifeq "$(PROCTYPE)" "i686"
-		UNOPKG_PLATFORM=MacOSX_x86
-	endif
-	ifeq "$(PROCTYPE)" "i386"
-		UNOPKG_PLATFORM=MacOSX_x86
-	endif
-endif
 
 # Platform specific variables
 ifeq "$(PLATFORM)" "windows"
@@ -236,7 +220,7 @@
 # Type library C++ headers
 build/hpp.flag:
 	-$(MKDIR) build$(PS)hpp
-	$(CPPUMAKER) -Gc -BUCR -O./build/hpp $(URE_TYPES) $(OFFICE_TYPES)
+	$(CPPUMAKER) -Gc -O./build/hpp $(URE_TYPES) $(OFFICE_TYPES)
 	echo flagged > $@
 
 
@@ -256,7 +240,6 @@
 else
 ifeq "$(PLATFORM)" "macosx"
 		cat $(PRJ)/settings/component.uno.map > build/voikko.map
-		nm -gx $^ | $(ADDSYMBOLS) >> build/voikko.map
 		$(LINK) $(COMP_LINK_FLAGS) build/voikko.map $(LINK_LIBS) -o $@ $^ \
 		$(CPPUHELPERLIB) $(CPPULIB) $(SALLIB) $(CPPUHELPERDYLIB) $(CPPUDYLIB) $(SALDYLIB) \
 		-lvoikko

=== debian/changelog ===
libreoffice-voikko (4.0-1) unstable; urgency=medium

  * Update watch file
  * Imported Upstream version 4.0
  * Drop both patches not needed anymore
  * Update package description to match current upstream description
  * Add Vcs urls

 -- Timo Jyrinki <timo@debian.org>  Sat, 07 Dec 2013 18:36:31 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,8 @@
 Build-Conflicts: libreoffice-common (<< 1:3.5.0~)
 Standards-Version: 3.9.4
 Homepage: http://voikko.sourceforge.net/
+Vcs-Git: git://anonscm.debian.org/collab-maint/libreoffice-voikko.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libreoffice-voikko.git;a=summary
 
 Package: libreoffice-voikko
 Architecture: any
@@ -13,13 +15,17 @@
 Recommends: libreoffice | libreoffice-writer | libreoffice-calc | libreoffice-impress | libreoffice-draw
 Enhances: libreoffice
 Provides: libreoffice-spellcheck-fi, libreoffice-hyphenation-fi
-Description: Finnish language tools for LibreOffice
+Description: Spellchecker, grammar checker and hyphenator for LibreOffice
  LibreOffice is a full-featured office productivity suite that provides
  a near drop-in replacement for Microsoft(R) Office.
  .
- This package contains a Finnish spell-checking, grammar checking and
- hyphenation component for LibreOffice. The actual functionality is
- provided by the Voikko library.
+ This package contains a libreoffice-voikko, a multi language spellchecker, 
+ grammar checker and hyphenator extension for LibreOffice. It uses 
+ libvoikko for all linguistic operations.
+ .
+ Based on the configuration of libvoikko, spell checking is supported for 
+ multiple languages. Other features are currently available only for 
+ Finnish.
  .
  NOTE: Usually spell-checking, grammar checking and hyphenation should be
  automatically activated after installing this package. If this is not the

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	VOIKKO_DEBUG = FULL
else
	VOIKKO_DEBUG = NO
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_HARDENING=1

%:
	dh $@ --fail-missing --parallel

override_dh_auto_clean:
	sh -c ". /usr/lib/libreoffice/sdk/setsdkenv_unix.sh && $(MAKE) VOIKKO_DEBUG=$(VOIKKO_DEBUG) clean"
        
override_dh_auto_build:
	sh -c ". /usr/lib/libreoffice/sdk/setsdkenv_unix.sh && $(MAKE) VOIKKO_DEBUG=$(VOIKKO_DEBUG) oxt"

override_dh_auto_install:
	mkdir -p debian/tmp/usr/lib/libreoffice/share/extensions/voikko
	unzip -d debian/tmp/usr/lib/libreoffice/share/extensions/voikko/ build/voikko.oxt

override_dh_auto_test:

=== debian/watch ===
version=3

http://www.puimula.org/voikko-sources/libreoffice-voikko/libreoffice-voikko-(.*)\.tar\.gz

## libreoffice-voikko 4.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Libreoffice-voikko: Linguistic extension for LibreOffice
-# Copyright (C) 2005 - 2013 Harri Pitkänen <hatapitk@iki.fi>
+# Copyright (C) 2005 - 2014 Harri Pitkänen <hatapitk@iki.fi>
 #
 # This Source Code Form is subject to the terms of the Mozilla Public License,
 # v. 2.0. If a copy of the MPL was not distributed with this file, You can
@@ -23,7 +23,7 @@
 # ===== Build settings =====
 
 # Version number of the libreoffice-voikko extension
-VOIKKO_VERSION=4.0
+VOIKKO_VERSION=4.1
 
 # VOIKKO_DEBUG controls the amount of debugging information in the resulting UNO
 # package. Possible values are NO (creates an optimized build without any
@@ -48,9 +48,6 @@
 # of this extension, uncomment the following.
 # SHOW_LICENSE=1
 
-# If you want to enable the grammar checker, set this option to 1
-ENABLE_GRAMMAR_CHECKER=1
-
 # Setting this option to 1 causes ugly warnings to be added to visible places
 # in the extension without removing any functionality (codename "tekstintuho").
 # Useful for binary builds that are released for public testing.
@@ -64,7 +61,7 @@
 
 # Platform specific variables
 ifeq "$(PLATFORM)" "windows"
-	WARNING_FLAGS=-Wall -WX -wd4061 -wd4127 -wd4265 -wd4365 -wd4514 -wd4619 -wd4625 -wd4626 -wd4668 -wd4710 -wd4711 -wd4820
+	WARNING_FLAGS=-Wall -WX -wd4061 -wd4127 -wd4265 -wd4365 -wd4514 -wd4619 -wd4625 -wd4626 -wd4668 -wd4710 -wd4711 -wd4820 -wd4996
 	# The following warnings should be fixed in the future
 	WARNING_FLAGS+= -wd4640
 	COPYDIR=xcopy /E /I
@@ -77,6 +74,12 @@
 	LINKER_FLAGS=-Wl,--no-undefined
 endif
 
+ifeq "$(PLATFORM)" "freebsd"
+	CC=cc
+	LINK=c++
+	LIBVOIKKO_PATH=/usr/local
+	SDK_ZIP=zip
+endif
 
 # General variables
 ifeq "$(VOIKKO_DEBUG)" "FULL"
@@ -121,10 +124,6 @@
 	LINK_LIBS += -lvoikko
 endif
 
-ifndef ENABLE_GRAMMAR_CHECKER
-	VOIKKO_CC_DEFINES += -DDISABLE_GRAMMAR_CHECKER
-endif
-
 # Build extension package name
 ifdef SHOW_UGLY_WARNINGS
         VOIKKO_PACKAGENAME:=tekstintuho
@@ -158,10 +157,10 @@
 SRCDIST=COPYING Makefile README ChangeLog $(patsubst %,src/%.hxx,$(VOIKKO_HEADERS)) \
         $(patsubst %,src/%.cxx,$(VOIKKO_OBJECTS)) oxt/description.xml.template \
         $(patsubst %,oxt/%,$(COPY_TEMPLATES)) \
-        oxt/META-INF/manifest.xml.template oxt/icon.svg
+        oxt/voikko.components.template oxt/META-INF/manifest.xml.template oxt/icon.svg
 SED=sed
 
-EXTENSION_FILES=build/oxt/META-INF/manifest.xml build/oxt/description.xml \
+EXTENSION_FILES=build/oxt/META-INF/manifest.xml build/oxt/description.xml build/oxt/voikko.components \
 	      build/oxt/$(VOIKKO_EXTENSION_SHAREDLIB) \
 	      $(patsubst %,build/oxt/%,$(STANDALONE_EXTENSION_FILES)) \
 	      $(patsubst %,build/oxt/%,$(COPY_TEMPLATES))
@@ -181,16 +180,14 @@
 	install -m 755 -d "$(DESTDIR)" "$(DESTDIR)/META-INF"
 	install -m 644 build/oxt/META-INF/manifest.xml "$(DESTDIR)/META-INF"
 	install -m 644 build/oxt/$(VOIKKO_EXTENSION_SHAREDLIB) \
-	               build/oxt/description.xml \
+	               build/oxt/description.xml build/oxt/voikko.components \
 	               $(patsubst %,build/oxt/%,$(STANDALONE_EXTENSION_FILES)) \
 	               $(patsubst %,build/oxt/%,$(COPY_TEMPLATES)) $(DESTDIR)
 
 # Sed scripts for modifying templates
-MANIFEST_SEDSCRIPT:=s/VOIKKO_EXTENSION_SHAREDLIB/$(VOIKKO_EXTENSION_SHAREDLIB)/g;s/UNOPKG_PLATFORM/$(UNOPKG_PLATFORM)/g
+MANIFEST_SEDSCRIPT:=s/UNOPKG_PLATFORM/$(UNOPKG_PLATFORM)/g
+COMPONENTS_SEDSCRIPT:=s/VOIKKO_EXTENSION_SHAREDLIB/$(VOIKKO_EXTENSION_SHAREDLIB)/g
 DESCRIPTION_SEDSCRIPT:=s/VOIKKO_VERSION/$(VOIKKO_VERSION)/g
-ifdef ENABLE_GRAMMAR_CHECKER
-	MANIFEST_SEDSCRIPT:=$(MANIFEST_SEDSCRIPT);/GRAMMAR_CHECKER_DISABLED/d
-endif
 ifdef SHOW_LICENSE
 	DESCRIPTION_SEDSCRIPT:=$(DESCRIPTION_SEDSCRIPT);/SHOW_LICENSE/d
 endif
@@ -208,6 +205,10 @@
 build/oxt/description.xml: oxt/description.xml.template
 	-$(MKDIR) $(subst /,$(PS),$(@D))
 	$(SED) -e $(DESCRIPTION_SEDSCRIPT) < $^ > $@
+
+build/oxt/voikko.components: oxt/voikko.components.template
+	-$(MKDIR) $(subst /,$(PS),$(@D))
+	$(SED) -e $(COMPONENTS_SEDSCRIPT) < $^ > $@
 
 $(patsubst %,build/oxt/%,$(COPY_TEMPLATES)): build/oxt/%: oxt/%
 	-$(MKDIR) $(subst /,$(PS),$(@D))
@@ -239,8 +240,8 @@
 	mt -manifest build/oxt/voikko.dll.manifest -outputresource:build/oxt/voikko.dll;2
 else
 ifeq "$(PLATFORM)" "macosx"
-		cat $(PRJ)/settings/component.uno.map > build/voikko.map
-		$(LINK) $(COMP_LINK_FLAGS) build/voikko.map $(LINK_LIBS) -o $@ $^ \
+#		cat $(PRJ)/settings/component.uno.map > build/voikko.map
+		$(LINK) $(COMP_LINK_FLAGS) $(LINK_LIBS) -o $@ $^ \
 		$(CPPUHELPERLIB) $(CPPULIB) $(SALLIB) $(CPPUHELPERDYLIB) $(CPPUDYLIB) $(SALDYLIB) \
 		-lvoikko
 		$(INSTALL_NAME_URELIBS)  $@

=== debian/changelog ===
libreoffice-voikko (4.1-1build1) wily; urgency=medium

  * No-change rebuild against libvoikko1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 20:32:16 +0000

libreoffice-voikko (4.1-1) unstable; urgency=medium

  * Imported Upstream version 4.1

 -- Timo Jyrinki <timo@debian.org>  Mon, 29 Sep 2014 14:33:52 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libreoffice-voikko
 Section: text
 Priority: optional
-Maintainer: Timo Jyrinki <timo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 9.0.0), libreoffice-dev (>= 1:4.1.0~), libvoikko-dev (>= 2.1), zip, unzip, hardening-wrapper
 Build-Conflicts: libreoffice-common (<< 1:3.5.0~)
 Standards-Version: 3.9.4

## libreoffice-voikko 5.0

=== Makefile ===
# Libreoffice-voikko: Linguistic extension for LibreOffice
# Copyright (C) 2005 - 2015 Harri Pitkänen <hatapitk@iki.fi>
#
# This Source Code Form is subject to the terms of the Mozilla Public License,
# v. 2.0. If a copy of the MPL was not distributed with this file, You can
# obtain one at http://mozilla.org/MPL/2.0/.
# 
# Alternatively, the contents of this file may be used under the terms of
# the GNU General Public License Version 3 or later (the "GPL"), in which
# case the provisions of the GPL are applicable instead of those above.
###############################################################################

# ===== Build settings =====

# Version number of the libreoffice-voikko extension
VOIKKO_VERSION=5.0

# If you want to have a license text to be displayed upon the installation
# of this extension, uncomment the following.
# SHOW_LICENSE=1

# Setting this option to 1 causes ugly warnings to be added to visible places
# in the extension without removing any functionality (codename "tekstintuho").
# Useful for binary builds that are released for public testing.
# SHOW_UGLY_WARNINGS=1

# Destination directory when installing unpacked extension with
# make install-unpacked
DESTDIR=/usr/lib/libreoffice-voikko

# Uncomment the following if you want to build a standalone extension.
# Files to be delivered with the extension must be placed under directory voikko/
# and libvoikko.py under oxt/pythonpath/
# STANDALONE_EXTENSION=1

# === End build settings ===

# Platform specific variables
ifdef SystemRoot # Windows
	COPYDIR=xcopy /E /I
	COPY=copy
	PS="\"
	MKDIR=mkdir
else
	COPYDIR=cp -r
	COPY=cp
	PS="/"
	MKDIR=mkdir -p
endif
ZIP=zip
SED=sed
FIND=find

# Build extension package name
ifdef SHOW_UGLY_WARNINGS
        VOIKKO_PACKAGENAME:=tekstintuho
else
        VOIKKO_PACKAGENAME:=voikko
endif

SRC_AND_DIST=config.xcu config.xcs icon.png SettingsDialog.xdl SettingsDialog_en_US.properties \
             SettingsDialog_fi_FI.properties SettingsDialog_en_US.default SettingsDialog.xcu Linguistic.xcu \
             voikko.components META-INF/manifest.xml lovoikko.py \
             pythonpath/SettingsEventHandler.py pythonpath/SpellChecker.py pythonpath/VoikkoHandlePool.py \
             pythonpath/SpellAlternatives.py pythonpath/PropertyManager.py pythonpath/Hyphenator.py \
             pythonpath/HyphenatedWord.py pythonpath/PossibleHyphens.py pythonpath/GrammarChecker.py
SRCDIST=COPYING Makefile README ChangeLog oxt/description.xml.template \
        $(patsubst %,oxt/%,$(SRC_AND_DIST)) \
        oxt/icon.svg oxt/license_fi.txt oxt/license_en-US.txt

COPY_TEMPLATES=$(SRC_AND_DIST)

ifdef SHOW_LICENSE
	COPY_TEMPLATES+=license_fi.txt license_en-US.txt
endif

ifdef STANDALONE_EXTENSION
	STANDALONE_EXTENSION_FILES=$(shell find voikko -type f '!' -name '.*' '!' -path 'voikko*/.*')
	COPY_TEMPLATES+=pythonpath/libvoikko.py
else
	STANDALONE_EXTENSION_FILES=
endif

EXTENSION_FILES=build/oxt/description.xml \
	      $(patsubst %,build/oxt/%,$(STANDALONE_EXTENSION_FILES)) \
	      $(patsubst %,build/oxt/%,$(COPY_TEMPLATES))

# Targets
.PHONY: extension-files oxt install-unpacked all clean dist-gzip

extension-files : $(EXTENSION_FILES)

oxt: $(EXTENSION_FILES)
	cd build/oxt && $(ZIP) -r -9 ../$(VOIKKO_PACKAGENAME).oxt \
	   $(patsubst build/oxt/%,%,$^)

all: oxt

install-unpacked: extension-files
	install -m 755 -d "$(DESTDIR)" "$(DESTDIR)/META-INF"
	install -m 644 build/oxt/META-INF/manifest.xml "$(DESTDIR)/META-INF"
	install -m 644 build/oxt/description.xml \
	               $(patsubst %,build/oxt/%,$(STANDALONE_EXTENSION_FILES)) \
	               $(patsubst %,build/oxt/%,$(COPY_TEMPLATES)) $(DESTDIR)

# Sed scripts for modifying templates
DESCRIPTION_SEDSCRIPT:=s/VOIKKO_VERSION/$(VOIKKO_VERSION)/g
ifdef SHOW_LICENSE
	DESCRIPTION_SEDSCRIPT:=$(DESCRIPTION_SEDSCRIPT);/SHOW_LICENSE/d
endif
ifdef SHOW_UGLY_WARNINGS
	DESCRIPTION_SEDSCRIPT:=$(DESCRIPTION_SEDSCRIPT);s/Voikko/TEKSTINTUHO/g
endif
DESCRIPTION_SEDSCRIPT:="$(DESCRIPTION_SEDSCRIPT)"

# Create extension files
build/oxt/description.xml: oxt/description.xml.template
	-$(MKDIR) $(subst /,$(PS),$(@D))
	$(SED) -e $(DESCRIPTION_SEDSCRIPT) < $^ > $@

$(patsubst %,build/oxt/%,$(COPY_TEMPLATES)): build/oxt/%: oxt/%
	-$(MKDIR) $(subst /,$(PS),$(@D))
	$(COPY) "$(subst /,$(PS),$^)" "$(subst /,$(PS),$@)"

$(patsubst %,build/oxt/%,$(STANDALONE_EXTENSION_FILES)): build/oxt/%: %
	-$(MKDIR) $(subst /,$(PS),$(@D))
	$(COPYDIR) "$(subst /,$(PS),$^)" "$(subst /,$(PS),$@)"


# Rules for creating the source distribution
dist-gzip: libreoffice-voikko-$(VOIKKO_VERSION).tar.gz

libreoffice-voikko-$(VOIKKO_VERSION).tar.gz: $(patsubst %,libreoffice-voikko-$(VOIKKO_VERSION)/%, \
	                                      $(sort $(SRCDIST)))
	tar c --group 0 --owner 0 libreoffice-voikko-$(VOIKKO_VERSION) | gzip -9 > $@

$(patsubst %,libreoffice-voikko-$(VOIKKO_VERSION)/%, $(sort $(SRCDIST))): \
	libreoffice-voikko-$(VOIKKO_VERSION)/%: %
	install --mode=644 -D $^ $@


# The clean target
clean:
	rm -rf build libreoffice-voikko-$(VOIKKO_VERSION)
	rm -f libreoffice-voikko-$(VOIKKO_VERSION).tar.gz

=== debian/changelog ===
libreoffice-voikko (5.0-4) unstable; urgency=medium

  * Add build dep on libreoffice-core (Closes: #994390)
  * Bump compat version
  * Clean trailing whitespace from changelog and rules
  * Use https for debian watch url
  * Update vcs urls to salsa.debian.org
  * Bump Standards-Version
  * Bump watch file standard
  * debian/rules: drop --fail-missing (removed in compat 12)
  * debian/rules: drop --parallel (unneeded these days)

 -- Timo Jyrinki <timo@debian.org>  Fri, 01 Oct 2021 10:15:13 +0300

libreoffice-voikko (5.0-3) unstable; urgency=medium

  * Run wrap-and-sort -a -t
  * Depend on python3-uno (Closes: #833814)
  * Add Provides: libreoffice-grammarcheck-fi (Closes: #833813)

 -- Timo Jyrinki <timo@debian.org>  Fri, 02 Sep 2016 17:09:01 +0300

libreoffice-voikko (5.0-2) unstable; urgency=medium

  * Depend on python3-libvoikko instead of the transitional package.

 -- Timo Jyrinki <timo@debian.org>  Wed, 17 Feb 2016 10:52:49 +0200

libreoffice-voikko (5.0-1) unstable; urgency=medium

  * New upstream version.
  * Require libvoikko >= 4.0.
  * libreoffice-dev no longer needed.
  * Drop hardening-wrapper dependency.
  * Build depend on python-libvoikko >= 4.0.
  * Also runtime dependency on python-libvoikko.
  * Update Standards-Version, no changes.
  * Build depend on dh-python.
  * Use C.UTF-8 locale for building.

 -- Timo Jyrinki <timo@debian.org>  Wed, 10 Feb 2016 17:53:00 +0200

=== debian/control ===
Source: libreoffice-voikko
Section: text
Priority: optional
Maintainer: Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 13.0.0),
               dh-python,
               libreoffice-core,
               libvoikko-dev (>= 4.0),
               python3,
               python3-libvoikko (>= 4.0),
               unzip,
               zip,
Standards-Version: 4.6.0.1
Homepage: http://voikko.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/libreoffice-voikko.git
Vcs-Browser: https://salsa.debian.org/debian/libreoffice-voikko

Package: libreoffice-voikko
Architecture: any
Depends: libreoffice-core,
         python3-libvoikko (>= 4.0),
         python3-uno,
         voikko-fi,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Recommends: libreoffice | libreoffice-writer | libreoffice-calc | libreoffice-impress | libreoffice-draw,
Enhances: libreoffice,
Provides: libreoffice-grammarcheck-fi,
          libreoffice-hyphenation-fi,
          libreoffice-spellcheck-fi,
Description: Spellchecker, grammar checker and hyphenator for LibreOffice
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This package contains a libreoffice-voikko, a multi language spellchecker,
 grammar checker and hyphenator extension for LibreOffice. It uses
 libvoikko for all linguistic operations.
 .
 Based on the configuration of libvoikko, spell checking is supported for
 multiple languages. Other features are currently available only for
 Finnish.
 .
 NOTE: Usually spell-checking, grammar checking and hyphenation should be
 automatically activated after installing this package. If this is not the
 case, go to "Writing Aids" settings in LibreOffice and activate Voikko
 components manually.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	VOIKKO_DEBUG = FULL
else
	VOIKKO_DEBUG = NO
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_HARDENING=1

LC_ALL := C.UTF-8
export LC_ALL

%:
	dh $@ --with=python3

override_dh_auto_clean:
	$(MAKE) VOIKKO_DEBUG=$(VOIKKO_DEBUG) clean

override_dh_auto_build:
	$(MAKE) VOIKKO_DEBUG=$(VOIKKO_DEBUG) oxt

override_dh_auto_install:
	mkdir -p debian/tmp/usr/lib/libreoffice/share/extensions/voikko
	unzip -d debian/tmp/usr/lib/libreoffice/share/extensions/voikko/ build/voikko.oxt

override_dh_auto_test:
